<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/balances.js");

</script>
<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{affiliateBalance}">Balances de Afiliados</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        <span th:text="#{type}">Tipo:</span>
                        <select name="type" id="type">
                            <option value="all"><span th:text="#{all}"></span></option>
                            <option th:selected="${type == 'kit'}" value="kit"><span th:text="#{bonus.differential}"></span></option>
                            <option th:selected="${type == 'product'}" value="product"><span th:text="#{bonus.direct}"></span></option>
                            <option th:selected="${type == 'service'}" value="service"><span th:text="#{bonus.residual}"></span></option>
                            <option th:selected="${type == 'speed'}" value="speed"><span th:text="#{bonus.speed}"></span></option>
                            <option th:selected="${type == 'withdrawal'}" value="withdrawal"><span th:text="#{withdrawal}"></span></option>
                            <option th:selected="${type == 'discount'}" value="discount"><span th:text="#{discount}"></span></option>
                            <option th:selected="${type == 'append'}" value="append"><span th:text="#{append}"></span></option>
                        </select>
                        &nbsp;
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th>#</th>
                                <th th:text="#{date}"></th>
                                <th th:text="#{amount}"></th>
                                <th th:text="#{description}"></th>
                                <th th:text="#{type}"></th>
                                <th th:text="#{status}"></th>
                                <th th:text="#{effective}"></th>
                                <th th:text="#{actions}"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td th:text="${item.id}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.getAmountText()}"></td>
                                <td th:text="${item.description}"></td>
                                <td>
                                    <span>
                                        <div th:switch="${item.type}">
                                            <span th:case="kit" class="label label-info" th:text="#{${item.type}}">Kit</span>
                                            <span th:case="product" class="label label-info" th:text="#{${item.type}}">Producto</span>
                                            <span th:case="service" class="label label-warning" th:text="#{${item.type}}">Servicio</span>
                                            <span th:case="store" class="label label-warning" th:text="#{${item.type}}">Store</span>
                                            <span th:case="speed" class="label label-default" th:text="#{${item.type}}">Speed</span>
                                            <span th:case="discount" class="label label-danger" th:text="#{${item.type}}">Descuento</span>
                                            <span th:case="withdrawal" class="label label-danger" th:text="#{${item.type}}">Retiro</span>
                                            <span th:case="append" class="label label-success" th:text="#{${item.type}}">Crédito</span>
                                        </div>
                                    </span>
                                </td>

                                <td th:text="#{${item.status}}" th:title="${item.statusText}"></td>
                                <td>
                                    <span class="label label-success" th:if="${item.effective}" th:text="#{yes}">Si</span>
                                    <span class="label label-danger" th:if="${!item.effective}" th:text="#{no}">No</span>
                                </td>
                                <td>
                                    <!--<i class="fa fa-eye action-button" id="view-member" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>-->
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-money"></i>
                        </div>
                        <div class="count" th:text="${total.getTotalText()}">179</div>

                        <h3 th:text="#{totalCommissions}">Total Comisiones</h3>
                        <p></p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-money"></i>
                        </div>
                        <div class="count" th:text="${total.getEffectiveText()}">179</div>

                        <h3 th:text="#{cashBalance}">Saldo efectivo</h3>
                        <p></p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-database"></i>
                        </div>
                        <div class="count" th:text="${total.records}">179</div>

                        <h3 th:text="#{record}">Registros</h3>
                        <p></p>
                    </div>
                </div>

            </div>
        </div>

        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>


</div>

<div th:replace="frags/empty-modal"></div>